#!/bin/sh

# Check if Homebrew is already installed
if [ -x "$(command -v brew)" ]; then
	echo "Homebrew is already installed."
	exit 0
fi

# Install Homebrew by OS
case "$(uname -s)" in
	Darwin)
		echo "Mac OS"
		ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
		;;
	Linux)
		echo "Linux"
		ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Linuxbrew/install/master/install)"
		;;
	*)
		echo "Unsupported OS: $(uname -s)"
esac
