#!/bin/sh

DOTFILES="$HOME/.dotfiles"

# Install plugin manager for Neovim, if it doesn't exist
VIM_PLUG_SRC="https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim"
VIM_PLUG_DST="$HOME/.local/share/nvim/site/autoload/plug.vim"
if [ ! -f "$VIM_PLUG_DST" ]; then
	echo "Downloading plug.vim ..."
	curl -fLo "$VIM_PLUG_DST" --create-dirs "$VIM_PLUG_SRC"
fi

# Add Homebrew-managed shells to system list
grep -q /usr/local/bin/bash /etc/shells || echo /usr/local/bin/bash | sudo tee -a /etc/shells
grep -q /usr/local/bin/fish /etc/shells || echo /usr/local/bin/fish | sudo tee -a /etc/shells

# Make fish the default shell
chsh -s /usr/local/bin/fish

# Install symlinks
"$DOTFILES/install-symlinks.sh"
